      program mk_ssc

      open (unit=1,file='invaders-recto.ssc',form='formatted')

      call srand(0)

      call wrt_nbk

      call wrt_cv

      
      do nlf = 1,29
         call wrt_leaf(nlf)
      enddo

      close (unit=1)
      end


      subroutine wrt_leaf(nlf)

      data y/0.080/
      save y,npage
      data npage/0/

      write (1,10) '"leaf_',nlf,'_recto" "Sol" {'
 10   format(a,i2.2,a)

      write(1,*) '  Radius 4.5'
      write(1,*) '  Planetshine false'
      write(1,*) '  Visible false'


      if (nlf.eq.3) then
         write(1,*) '  Mesh "divider_01.cmod"'
c         write(1,*) '  Texture "dividers.*"'
         dy = 0.01
      else if  (nlf.eq.8) then
         write(1,*) '  Mesh "divider_02.cmod"'
         dy = 0.01
      else if  (nlf.eq.24) then
         write(1,*) '  Mesh "divider_03.cmod"'
         dy = 0.01
      else if  (nlf.eq.27) then
         write(1,*) '  Mesh "divider_08.cmod"'
         dy = 0.01
      else
         write(1,*) '  Mesh "leaf.cmod"'

         npage = npage+2
         write(1,12) '  Texture "pages_',(npage-1),'-',(npage),'.*"'
 12      format(a,2(i2.2,a))
         dy = 0.005
      endif
      
      write(1,*) '  NormalizeMesh false'
      write(1,*) '  MeshScale 0.0075'
      write(1,*) '  OrbitFrame { BodyFixed { Center "Sol/Notebook"}}'

c     r = sqrt(x**2+y**2)
c     r**2 = x**2 + y**2
c     r**2-y**2=x**2
c      y0=0.1
c      r=0.05
c      x = -sqrt(r**2-y**2)

      z = (ran(0)-0.5)*0.033
      x = -0.05 + (ran(0)-0.5)*0.033

      write(1,11) '  FixedPosition [',x,y,z,']'
 11   format(a,3(f5.3,1x),a)
      y = y-dy

      write(1,*) '  BodyFrame { BodyFixed  { Center "Sol/Notebook"}}'
      write(1,*) '  FixedRotation {'
      fin = (ran(0)-0.5)*1.0
      write (1,*) 'Inclination 0'
      write (1,*) 'MeridianAngle 1.6'
      write (1,*) 'AscendingNode 0'


c      write(1,13) '   Inclination ',fin
c      write(1,*) '   MeridianAngle 90'
c      write(1,13) '   AscendingNode -90.1'

 13   format(a,f9.3)
      write(1,*) '   }'
      write(1,*) ' Albedo 1e-32'
      write(1,*) ' }'

        return
        end
c-----------------------------------------------------
      subroutine get_len(str,ncf)
c     find end of string
      character*(*) str
      lens = len(str)
      do nc = lens,1,-1
         if (str(nc:nc).ne. ' ') then
            ncf = nc
            return
         endif
      enddo
      ncf = 1
      return
      end
c=========================
      subroutine  wrt_nbk
      write (1,*) '"Notebook" "Sol"'
      write (1,*) '{ Class "invisible"'
      write (1,*) 'Clickable false'
      write (1,*) 'Radius 0.15'
      write (1,*) 'EllipticalOrbit { Period 1 SemiMajorAxis 1.0130001 }'
      write (1,*) 'CustomRotation "earth-p03lp"'
      write (1,*) 'Albedo 1e-32'
      write (1,*) '}'

      write (1,*) '"notebook_open" "Sol"'
      write (1,*) '{ Radius 7'
      write (1,*) 'Planetshine false'
      write (1,*) 'Visible false'
      write (1,*) 'Mesh "notebook_open.cmod"'
      write (1,*) 'NormalizeMesh false'
      write (1,*) 'MeshScale 0.0075'

      write (1,*) 'OrbitFrame { BodyFixed { Center "Sol/Notebook"}}'
      write (1,*) 'FixedPosition [ 0 0 0]'

      write (1,*) 'BodyFrame { BodyFixed  { Center "Sol/Notebook"}}'
      write (1,*) 'FixedRotation {'
      write (1,*) 'Inclination 0'
      write (1,*) 'MeridianAngle 0'
      write (1,*) 'AscendingNode 0'
      write (1,*) '}'
      write (1,*) 'Albedo 1e-32'
      write (1,*) '}'

      write (1,*) '"notebook_closed" "Sol"'
      write (1,*) '{ Radius 7'
      write (1,*) 'Planetshine false'
      write (1,*) 'Visible false'
      write (1,*) 'Mesh "notebook_closed.cmod"'
      write (1,*) 'NormalizeMesh false'
      write (1,*) 'MeshScale 0.0075'

      write (1,*) 'OrbitFrame { BodyFixed { Center "Sol/Notebook"}}'
      write (1,*) 'FixedPosition [ 0 0 0]'

      write (1,*) 'BodyFrame { BodyFixed  { Center "Sol/Notebook"}}'
      write (1,*) 'FixedRotation {'
      write (1,*) 'Inclination 0'
      write (1,*) 'MeridianAngle 0'
      write (1,*) 'AscendingNode 0'
      write (1,*) '}'
      write (1,*) 'Albedo 1e-32'
      write (1,*) '}'
      return
      end

c------------------------------

      subroutine wrt_cv

      write (1,*) '"front_cover_recto" "Sol"'
      write (1,*) '{ Radius 4.5'
      write (1,*) 'Planetshine false'
      write (1,*) 'Visible false'
      write (1,*) 'Mesh "cover.cmod"'
      write (1,*) 'NormalizeMesh false'
      write (1,*) 'MeshScale 0.0075'
      write (1,*) 'Texture "blue_translucent_cover_scribbled.*"'
      write (1,*) 'OrbitFrame { BodyFixed { Center "Sol/Notebook"}}'
      write (1,*) 'FixedPosition [ 0 0.1 0]'

      write (1,*) 'BodyFrame { BodyFixed  { Center "Sol/Notebook"}}'
      write (1,*) 'FixedRotation {'

      fin = (ran(0)-0.5)*1.0
 13   format(a,f9.3)

      write (1,*) 'Inclination 0'
      write (1,*) 'MeridianAngle 1.6'
      write (1,*) 'AscendingNode 0'

c      write(1,13) '   Inclination  ',fin
c      write(1,*) '   MeridianAngle 90'
c      write(1,13) '   AscendingNode -90.1'

      write (1,*) '}'
      write (1,*) 'Albedo 1e-32'
      write (1,*) '}'
c-----------------------
      write (1,*) '"back_cover_recto" "Sol"'
      write (1,*) '{ Radius 4.5'
      write (1,*) 'Planetshine false'
      write (1,*) 'Visible false'
      write (1,*) 'Mesh "cover.cmod"'
      write (1,*) 'NormalizeMesh false'
      write (1,*) 'MeshScale 0.0075'
      write (1,*) 'Texture "back_cover.*"'

      write (1,*) 'OrbitFrame { BodyFixed { Center "Sol/Notebook"}}'
      write (1,*) 'FixedPosition [ 0 -0.100 0]'

      write (1,*) 'BodyFrame { BodyFixed  { Center "Sol/Notebook"}}'
      write (1,*) 'FixedRotation {'
      write (1,*) 'Inclination 0'
      write (1,*) 'MeridianAngle 1.6'
      write (1,*) 'AscendingNode 0'
      write (1,*) '}'
      write (1,*) 'Albedo 1e-32'
      write (1,*) '}'

      return
      end
      
